"use client";

import { useState } from "react";
import * as actions from "@/actions";
import SnippetEditor from "@/components/snippet-create-form";
import { useActionState } from "react";

export default function SnippetCreatePage() {
  const [formState, action] = useActionState(actions.createSnippet, {
    message: "",
  });
  const [code, setCode] = useState("");
  const handleCodeChange = (newCode: string = "") => {
    setCode(newCode);
  };
  return (
    <form action={action}>
      <h3 className="font-bold m-3">Create a Snippet</h3>
      <div className="flex flex-col gap-4">
        <div className="flex flex-col gap-4">
          <label className="w-12" htmlFor="title">
            Title
          </label>
          <input
            name="title"
            className="border rounded p-2 w-full"
            id="title"
          />
        </div>
        <div className="flex flex-col gap-4">
          <label className="w-12" htmlFor="title">
            Code
          </label>
          <input type="hidden" name="code" value={code} />
          <SnippetEditor code={code} onCodeChange={handleCodeChange} />
        </div>

        {formState.message ? (
          <div className="my-2 p-2 bg-red-200 border rounded border-red-400">
            {formState.message}
          </div>
        ) : null}

        <button type="submit" className="rounded p-2 bg-blue-200">
          Create
        </button>
      </div>
    </form>
  );
}
