"use client";

import { Editor } from "@monaco-editor/react";

interface SnippetEditorProps {
  code: string;
  onCodeChange: (value: string) => void;
}

export default function SnippetEditor({
  code,
  onCodeChange,
}: SnippetEditorProps) {
  const handleEditorChange = (value: string = "") => {
    onCodeChange(value);
  };

  return (
    <div>
      <Editor
        height="40vh"
        theme="vs-light"
        language="c"
        defaultValue={code}
        options={{ minimap: { enabled: false } }}
        onChange={handleEditorChange}
      />
    </div>
  );
}
